From 81160d605423ab2d5b3f7e672f6f46feee80cc4b Mon Sep 17 00:00:00 2001
From: Jan Tojnar <jtojnar@gmail.com>
Date: Mon, 19 Aug 2019 19:12:01 +0200
Subject: [PATCH] build: Fix meson version warning

The following warning is produced when configuring:

WARNING: Project targetting '>= 0.43.0' but tried to use feature introduced in '0.50.0': install arg in configure_file
---
 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/meson.build b/meson.build
index 94b86e1..9b7e53f 100644
--- a/meson.build
+++ b/meson.build
@@ -1,6 +1,6 @@
 project('gnome-video-effects',
   version: '0.5.0',
-  meson_version: '>= 0.43.0'
+  meson_version: '>= 0.50.0',
 )
 
 gnome = import('gnome')
-- 
2.21.0


From fb0cfa23e74ac49cc1c56b26227345e3bdafef1e Mon Sep 17 00:00:00 2001
From: Jan Tojnar <jtojnar@gmail.com>
Date: Mon, 19 Aug 2019 19:19:43 +0200
Subject: [PATCH] build: replace join_paths with operator

Meson 0.49 added a / operator which is much nicer to read and write.
---
 meson.build | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/meson.build b/meson.build
index 9b7e53f..408cd6b 100644
--- a/meson.build
+++ b/meson.build
@@ -7,9 +7,9 @@ gnome = import('gnome')
 i18n = import('i18n')
 
 prefix = get_option('prefix')
-datadir = join_paths(prefix, get_option('datadir'))
-pkgdatadir = join_paths(datadir, meson.project_name())
-pkgconfigdir = join_paths(datadir, 'pkgconfig')
+datadir = prefix / get_option('datadir')
+pkgdatadir = datadir / meson.project_name()
+pkgconfigdir = datadir / 'pkgconfig'
 
 subdir('effects')
 subdir('po')
@@ -23,6 +23,6 @@ conf.set('VERSION', meson.project_version())
 pkg = configure_file(configuration: conf,
                      input: 'gnome-video-effects.pc.in',
                      install: true,
-                     install_dir: join_paths(datadir, 'pkgconfig'),
+                     install_dir: datadir / 'pkgconfig',
                      output: 'gnome-video-effects.pc')
 
-- 
2.21.0


From da6699b7a3bd1503b6be2a3231b8e292360211df Mon Sep 17 00:00:00 2001
From: Jan Tojnar <jtojnar@gmail.com>
Date: Mon, 19 Aug 2019 19:21:08 +0200
Subject: [PATCH] build: Use the pkgconfigdir variable

We have it so we might as well use it.
---
 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/meson.build b/meson.build
index 408cd6b..e2aa69a 100644
--- a/meson.build
+++ b/meson.build
@@ -23,6 +23,6 @@ conf.set('VERSION', meson.project_version())
 pkg = configure_file(configuration: conf,
                      input: 'gnome-video-effects.pc.in',
                      install: true,
-                     install_dir: datadir / 'pkgconfig',
+                     install_dir: pkgconfigdir,
                      output: 'gnome-video-effects.pc')
 
-- 
2.21.0


From 955404195ada606819974dd63c48956f25611e14 Mon Sep 17 00:00:00 2001
From: Jan Tojnar <jtojnar@gmail.com>
Date: Mon, 19 Aug 2019 19:23:46 +0200
Subject: [PATCH] build: Fix effectsdir in .pc file
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

The meson port changed the effectsdir in the .pc file to
$(pkgdatadir)/gnome-video-effects, resulting in paths like
…/share/gnome-video-effects/gnome-video-effects.

Here we fix the regression such that the path matches to
the actual path where the files are installed.
Also we use ${prefix} pkg-config variable in the path
so that it can be easily overridden.
---
 meson.build | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/meson.build b/meson.build
index e2aa69a..f3d5b65 100644
--- a/meson.build
+++ b/meson.build
@@ -7,7 +7,8 @@ gnome = import('gnome')
 i18n = import('i18n')
 
 prefix = get_option('prefix')
-datadir = prefix / get_option('datadir')
+datadir_relative = get_option('datadir')
+datadir = prefix / datadir_relative
 pkgdatadir = datadir / meson.project_name()
 pkgconfigdir = datadir / 'pkgconfig'
 
@@ -17,7 +18,7 @@ subdir('po')
 # Can't use pkgconfig helper https://github.com/mesonbuild/meson/issues/2253
 conf = configuration_data()
 conf.set('prefix', prefix)
-conf.set('datarootdir', pkgdatadir)
+conf.set('datarootdir', '${prefix}' / datadir_relative)
 conf.set('VERSION', meson.project_version())
 
 pkg = configure_file(configuration: conf,
-- 
2.21.0

